2018-03-01  Werner LEMBERG  <wl@gnu.org>

	* m.tmac: Fix `.hy' value.

	* groff_mm.7.man: Updated.

2018-02-28  Werner LEMBERG  <wl@gnu.org>

	* mm.am (mmroff): Use $(AM_V_GEN) to silence file generation.

2017-11-02  G. Branden Robinson <g.branden.robinson@gmail.com>

	examples/letter.mm: New; simple example of mm usage.
	mm.am: Ship the file.

2015-08-22  Bernd Warken  <groff-bernd.warken-72@web.de>

	* mmroff.1.man: Rename `mmroff.man'.

	* groff_mm.7.man: Rename `groff_mm.man'.

	* groff_mmse.7.man: Rename `groff_mmse.man'.

	* mm.am: Include renamings.

2015-08-05  Bernd Warken  <groff-bernd.warken-72@web.de>

	* mm.am, Makefile.sim: Add `Last update'.  Setup Emacs mode.

Thu Jul 16 11:52:03 2015  Carsten Kunze  <carsten.kunze@arcor.de>

	Fix line length of `.DS' with indentation (#45452).

	If `.DS' with first argument `1' or `I' is used the output should
	use an indentation of `\n[Si]n'.  To make this work, the line length
	within the `.DS' diversion must be set to zero, otherwise the
	effective line length is too large.

	* m.tmac (DS): Call `ds@set-new-ev' with correct indentation value.

Fri Apr  3 16:33:22 2015  Werner LEMBERG  <wl@gnu.org>

	Make man pages work in compatibility mode.

	* groff_mm.man, groff_mmse.man, mmroff.man: Do it.

Wed Sep  3 21:29:00 2014  Bernd Warken  <groff-bernd.warken-72@web.de>

	* all files in contrib/mm: Copying and Emacs setting.

Thu Aug 28 07:20:00 2014  Werner LEMBERG  <wl@gnu.org>

	* m.tmac (misc@tag): Fix horizontal position.
	Problem reported by Blake McBride <blake@mcbride.name>.

Sun Mar 30 21:45:00 2014  Steffen Nurpmeso  <sdaoden@yandex.com>

	* Makefile.sim, Makefile.sub: Put straight error-prevention prefixes
	for `rm'.

Wed Mar  6 22:18:00 2013  Deri James  <deri@chuzzlewit.myzen.co.uk>

	* groff_mm.man: Document .PIC flag -B (box). Default position of
	picture is left (-L)

Fri Mar  1 08:41:18 2013  Jim Avera  <james_avera@yahoo.com>

	* m.tmac (ds@set-format, LI): s/.ie/.if/ if no else clause.

Sat Nov 17 18:36:56 2012  Anton Shepelev  <anton.txt@gmail.com>

	Fixed the format of header numbers in references.

	* m.tmac (hd-mark-trimmed): New string to hold `hd-mark' without
	spaces.
	(SETR): Use it.

Sun Aug 14 07:36:29 2011  Anton Shepelev  <anton.txt@gmail.com>

	Fix indents in nested static displays.

	* m.tmac (DS, ds@end): Save indent with a stack.
	See http://lists.gnu.org/archive/html/groff/2011-07/msg00068.html
	for an example.

Sun Mar 27 09:25:01 2011  Anton Shepelev  <anton.txt@gmail.com>

	* m.tmac (misc@tag): Fix last patch.

Sat Mar 19 13:46:50 2011  James Avera  <jimav>

	* m.tmac (RD): Don't use `.ie' but `.if'.

Fri Mar 18 09:10:19 2011  Anton Shepelev  <anton.txt@gmail.com>

	* m.tmac (misc@tag): Retain temporary indentation.

Sat Feb  5 08:06:39 2011  Anton Shepelev  <anton.txt@gmail.com>

	Fix vertical space around displays.

	* m.tmac (ds@end): Use `.SP', not `.sp'.

Fri Jan 28 11:15:29 2011  Werner LEMBERG  <wl@gnu.org>

	Handle `refer-mm.tmac' file.

	* refer-mm.tmac: New file.
	* Makefile.sub (install_data, uninstall_sub): Handle it.

Fri Jan 28 10:56:29 2011  Werner LEMBERG  <wl@gnu.org>

	Add `refer' support.

	* m.tmac: Include `refer-mm.tmac'.

Fri Jan 28 10:26:29 2011  Werner LEMBERG  <wl@gnu.org>

	Prepare `refer' support.

	* m.tmac (\n[Rpe]): New register to control page eject status of the
	`RP' macro.
	(RP): Updated.
	(ref@start-print): Move the trailing full stop in reference number
	to...
	(RS): This macro.

	* groff_mm.man: Document `Rpe' register.

Fri Jan 28 10:05:29 2011  Werner LEMBERG  <wl@gnu.org>

	* mmroff.man, groff_mm.man: s/reference/cross reference/ where
	appropriate.

Wed Jan  5 15:05:47 2011  Werner LEMBERG  <wl@gnu.org>

	Fix use of .DEVTAG-* macros.
	Reported by Anton Shepelev <anton.txt@gmail.com>.

	* m.tmac (misc@tag): Wrapper around .DEVTAG-* to compensate unwanted
	vertical space.
	(H): Use it.

Mon Dec 27 09:39:20 2010  Werner LEMBERG  <wl@gnu.org>

	* groff_mm.man: Fix indentation.

Thu Jun 24 12:43:27 2010  Tadziu Hoffmann  <hoffmann@usm.uni-muenchen.de>

	* m.tmac (misc@pop-nr): Fix assignment.
	Reported as
	http://lists.gnu.org/archive/html/groff/2010-06/msg00096.html

Sat Jun  5 08:06:21 2010  Larry Jones <lawrence.jones@siemens.com>

	* m.tmac (\*[BU]): Always define.

Sat Jun  5 08:00:10 2010  Larry Jones <lawrence.jones@siemens.com>

	Improve compatibility.

	* m.tmac (}b, }f, }p): Define aliases for orthogonality with the
	already available }t, }e, and }o for page headers.

Wed Jun  2 16:03:39 2010  Larry Jones <lawrence.jones@siemens.com>

	Fix .EOP handling and non-numeric format of \n[P].

	* m.tmac (pg@header): Set `.af' temporarily to numeric format.
	(pg@print-footer): Disable vertical traps for call to .EOP also.

Wed Jun  2 16:03:39 2010  Larry Jones <lawrence.jones@siemens.com>

	* m.tmac (toc@entry): Use MM page number (\nP).

Sun May 30 07:14:15 2010  Larry Jones  <lawrence.jones@siemens.com>

	* m.tmac (P, nP): Fix handling of short paragraphs.
	Otherwise,

	  .H 1 Bug
	  .P
	  one
	  .P
	  two
	  .P
	  three

	results in:

	  1.  Bug

	  one two three

	whereas it should, of course, produce:

	  1.  Bug

	  one

	  two

	  three

Sat Jan  3 08:55:15 2009  Werner LEMBERG  <wl@gnu.org>

	* groff_mm.man: Use new `x' table modifier for all tables which use
	T{...T}.  This greatly improves formatting.

Tue Feb  6 00:00:00 2007  Eric S. Raymond  <esr@snark.thyrsus.com>

	* groff_mm.man: Typo fix.

Sat Feb  3 00:00:00 2007  Eric S. Raymond  <esr@snark.thyrsus.com>

	* groff_mm.man: Eliminate nonportable macro hackery in the
	definition of T2 in favor or TBL tables.

Fri Jan  5 14:35:35 2007  Werner LEMBERG  <wl@gnu.org>

	Fix installation.  Reported by Jennifer Sayers.

	* Makefile.sub (install, install_mm): Remove.
	(install_bin, install_data): New targets.

Sat Aug 12 23:33:45 2006  Nick Stoughton  <nick@msbit.com>

	* m.tmac (P): Ignore P after H, as documented.

Tue Apr 4 07:19:57 2006  Werner LEMBERG  <wl@gnu.org>

	* groff_mm.man: Document strings TPh, TPeh, and TPoh.

Wed Mar 29 06:58:24 2006  Werner LEMBERG  <wl@gnu.org>

	* m.tmac (pg@print-footer): Disable vertical traps while emitting
	the footer.  This fixes an endless loop caused by

	  .S 27 59
	  foo
	  .SK

	Problem reported by Bill Brelsford <k2di2@att.net>.

	(LI): Remove superfluous line which sets number register `x' without
	reason.  Problem reported by Morris Stern <mstern@mail.utexas.edu>.

	(eq@check): Correctly flush labels to the right.
	Problem reported by Morris Stern <mstern@mail.utexas.edu>.
	Fix vertical positions of labels.

	(ds@end): Emit pre-display space earlier.

	* groff_mm.man: Document that only the last equation label of
	.EQ/.EN blocks within .DS/.DE is printed.

Tue Mar 28 14:00:06 2006  Werner LEMBERG  <wl@gnu.org>

	. Hardwire first four font positions with R, I, B, and BI -- the
	  documentation explicitly refers to this feature (cf. the `HF'
	  string register).

	. Don't use `%' register in numeric calculations because it is
	  affected by `.af'.

	Patches for both problems have been contributed by Nick Stoughton
	<nick@usenix.org>.

	* m.tmac: s/@language/@country/.
	s/\n[%]/\n[P]/ where appropriate.
	s/\fR/\f1/.
	s/.ft R/.ft 1/.
	s/\fI/\f2/.
	s/.ft I/.ft 2/.
	s/\fB/\f3/.
	s/.ft B/.ft 3/.

	* mse.tmac: s/@language/@country/.

	* groff_mm.man (Fonts): New subsection.

	* groff_mmse.man: Load `sv.tmac'.
	Reformatted.

	examples/README: Cleanups and updates.

Mon Mar 27 15:44:24 2006  Werner LEMBERG  <wl@gnu.org>

	* groff_mm.man: Completely revised and reformatted to use as many
	man macros as possible.

Thu Mar 2 09:12:06 2006  Werner LEMBERG  <wl@gnu.org>

	* mse.tmac: Remove common Swedish strings and load sv.tmac instead.

Sun Feb 26 13:57:13 2006  Claudio Fontana  <claudio@gnu.org>

	* Makefile.sub: Add DESTDIR to install and uninstall targets
	to support staged installations.

Fri Nov 25 14:31:02 2005  Werner LEMBERG  <wl@gnu.org>

	* mm/ms.cov (COVEND): Protect argument for `cov@print-abstract'
	with doublequotes.  Reported by Fabrice Ménard
	<menard.fabrice@wanadoo.fr>.

Tue Oct 25 21:59:04 2005  Bob Diertens  <bobd@science.uva.nl>

	* m.tmac (lix@print-line): Add parentheses to if-else clause to
	fix logic.

Thu May 26 08:23:40 2005  Werner LEMBERG  <wl@gnu.org>

	* m.tmac: Load devtag.tmac.

Mon May 16 00:00:00 CEST 2005  Keith Marshall <keith.d.marshall@ntlworld.com>

	* mmroff.pl: Add space in shebang prototype for generated
	conftest.sh script, conforming to portability recommendation in
	autoconf docs.

Wed Mar 16 06:56:02 2005  Larry Kollar  <kollar@alltel.net>

	Add rudimentary support for grohtml.

	* m.tmac (H): Call DEVTAG-NH and DEVTAG-EO-H.
	(pg@enable-trap, pg@header): Do nothing for devhtml.

Sun Mar 7 16:34:46 2004  Jeff Conrad <jeff_conrad@msn.com>

	* m.tmac (S): Improve debug message.

Wed Mar 05:38:57 2004  Joergen Haegg <jh@axis.com>

	* Changed default value for Hy in manual to 0
	* Check Hy at each new page

Mon Mar 1 22:16:38 2004  Jeff Conrad <jeff_conrad@msn.com>

	* m.tmac (S): Fix scaling indicator for vertical spacing.

Tue Nov 05:14:45 2003  Joergen Haegg <jh@axis.com>

	* another patch from ulrich lauther to fix the
	  TOC up to 14 heading levels.

Mon Oct 13:48:25 2003  Joergen Haegg <jh@axis.com>

	* problem with more than 7 levels of headings fixed with
	  patch from ulrich lauther.

Wed Apr 06:42:35 2003  Joergen Haegg <jh@axis.com>

	* the footer was not adjusted by VM due to a missing
	  pg*extra-footer-size in the calculation of pg*last-pos

Wed Apr 06:04:58 2003  Joergen Haegg <jh@axis.com>

	* space adjustments in 4.MT to make it more like
	  the original

Sun Mar 21:45:10 2003  Joergen Haegg <jh@axis.com>

	* removed error check i 4.MT, .AF is not mandatory anymore

Sat Mar 21:56:57 2003  Joergen Haegg <jh@axis.com>

	* cov*firm now defined only if arg to AF is non-empty
	  That will also enable cov*default-firm from the mm locale-file
	  to work.

Sat Mar 21:05:29 2003  Joergen Haegg <jh@axis.com>

	* added .ll in pg@set-env to initialize the
	  header environment properly

Wed Mar 19 23:02:16 2003  Werner LEMBERG  <wl@gnu.org>

	* groff_mm.man: Some fixes from Robert D. Goulding
	<goulding@Princeton.EDU>.

Wed Sep 09:53:06 2002  Joergen Haegg <jh@axis.com>

	* added implicit -mm to mmroff, it's now possible
	  to use mmroff with or without -mm as argument.

Thu Aug 08 00:31:00  Bob Diertens <bobd@science.uva.nl>

	* m.tmac (VM): Add missing backslash.

Fri Jun 10:37:58 2002  Joergen Haegg <jh@axis.com>

	* added init@reset for LT-macros so .S works for letters

Thu May 06:30:06 2002  Joergen Haegg <jh@axis.com>

	* adding -T to VM for setting the total
	  header and footer size.
	* changing pg*extra-header-size unit from v to u in DS-size
	  calculation

Mon May 05:40:16 2002  Joergen Haegg <jh@axis.com>

	* All lists now get an empty line before the list
	  even if there is no empty lines between the items (bug in LB)

Sat May 07:36:08 2002  Joergen Haegg <jh@axis.com>

	* PIC is now drawn 1v higher, making it
	  possible to put a picture at 0,0.
	* Indentbug in P fixed, Pt=2 now behaves as it should

Wed May 10:18:26 2002  Joergen Haegg <jh@axis.com>

	* added L, W and O in groff_mm.man
	* extra space in expression removed in EPIC
	* EPIC can leftadjust with -L
	* EPIC was drawing 1v down
	* forgot to add mmse.tmac and mm.tmac to cvs

Fri May 20:35:32 2002  Joergen Haegg <jh@axis.com>

	* Clarified manual about INITR
	* Added mm.tmac and mmse.tmac wrappers
	* Fixed bug in mmroff so a .qrf-file always will be created
	* .EQ mark was not correctly positioned anymore.
	* changed SP to sp in DS/DE to further correct .EQ

Sun Dec 9 00:00:00 2001 Werner LEMBERG  (wl@gnu.org)

	* Makefile.sim, groff_mm.man, groff_mmse.man: Minor fixes.
	* mmroff.man: This is a section 1 man page.
	Minor fixes.
	* Makefile.sub: Install mmroff.man in section 1.

Wed Nov 28 00:00:00 2001 Werner LEMBERG (wl@gnu.org)

	* m.tmac: Assure that the macro package is loaded only once.

Wed Sep 5 00:00:00 2001 Werner LEMBERG (wl@gnu.org)

	* m.tmac: Enable all warnings only if no -W or -w option is given on
	  the command line (or rather, if only the default warnings are
	  set).

Mon Sep 3 00:00:00 2001 Werner LEMBERG (wl@gnu.org)

	* groff_mm.man: Don't use .ne for TTY devices.

Thu Jul 26 00:00:00 2001 Werner LEMBERG (wl@gnu.org)

	* groff_mm.man: Start always a new line after end of sentence.  Add
	  some compatibility info to the HF variable.

Thu Jul 26 00:00:00 2001 Larry Jones (larry.jones@sdrc.com)

	* m.tmac: Fix initialization of Hps1 and Hps2.

Wed May 16 00:00:00 2001 Bruce Lilly (blilly@erols.com)

	* m.tmac (TH): Fix incorrect error message.

Thu Apr 12 00:00:00 2001 Ruslan Ermilov (ru@FreeBSD.org)

	* groff_mm.man: Fixing some typos.

Mon Mar 5 09:30:18 2001 Jörgen Hägg (jh@axis.com)

	* S didn't reset to default point size
	* (dummy line to force cvs update...)

Sat Jan 06 10:30:00 2001 Werner LEMBERG (wl@gnu.org)

	* Fixed assignment of page offset given as a command line argument.

Fri Nov 17 05:34:17 2000 Jörgen Hägg (jh@axis.com)

	* Renamed tmac.m and tmac.mse to m.tmac and mse.tmac

Thu Sep 14 05:52:48 2000 Jörgen Hägg (jh@axis.com)

	* New Changelog-format, it will show changes better.
	  Easier for other to use. (Somehow I didn't really
	  understand why the e-mail address was supposed to be
	  'jh at axis.com' in the Changelog. :-)

Mon Aug 28 00:00:00 2000 Bruno Haible (haible at clisp.cons.org)

	* Makefile.sub: New target 'all', makes all prerequisites of
	'install'.

Thu Sep 7 06:17:42 2000 Jörgen Hägg (jh at axis.com)

	* version 2.0
	* Had to do something about my version numbering.
	  The main CVS archive was not in sync with mine.
	  So, now it is 2.0. :-)

Sat Jun 17 23:00:00 2000 Eli Zaretskii (eliz@is.elta.co.il)

	* Makefile.sim (.man.n): Replace `;' with `|', since DOS/Windows
	  path lists use the semicolon as a separator.

Sun Jun 4 21:39:00 2000 Kaneda Hiroshi (vanitas at ma3.seikyou.ne.jp)

	* Fixing a lot of typos in groff_mm.man

Tue Mar 7 00:00:00 2000 OKAZAKI Tetsurou (okazaki at be.to)

	* Makefile.sub: Use $(INSTALL_SCRIPT) for script files.

Sun Jan 30 22:52:20 2000 Jörgen Hägg (jh at axis.com)

	* version 1.34
	* Changed the version number in the CVS repository
	* MC had a bug in column calculation, (thanks to T. Kurt Bond)

Fri Sep 3 07:33:14 1999 Jörgen Hägg (jh at axis.com)

	* version 1.33
	* At last! I finally tracked down the PGFORM bug!
	  It didn't setup the @pl, @ll and @po as it should, now it does.
	* mgm_ref/mgm_roff renamed to mmroff [-x]
	* fixed y2k-bug in \*[DT]
	* \n[cov*year] removed, hope noone used that.
	* ISODATE added with Iso as command line flag
		(iso-date suggested by Paul Eggert)
	* Added ISODATE to tmac.mse and removed local settings
	  of new-date.
	* INITI syntax changed and enhanced. Index processing is now
	  done with mmroff.
	* A few examples has been added, new subdirectory 'examples'.
	* Fixed bug with SETR, header references are now only saved
	  when Ref > 0
	* Problem with register H1h fixed
	* Added test for missing abstract in 4.MT
	* Updated Makefile.sub, using tmac_m_prefix.

Mon Mar 15 22:22:42 1999 Jörgen Hägg (jh at axis.com)

	* OK, let's release this as a beta, 1.33 will be better. :-)
	* version 1.32
	* fixed .el-error
	* Added number variable Hss
	* Changed Hps1 and Hps2 to units
	* added hd*h1-text to be used in user defined macro TP.
	* -U needed for SETR (I really need 'mv', 'echo', 'rm'
	  and 'test' builtin!)
	* Rewritten the reference system, SETR now prints to stderr
	  if the number register Qrf > 0. Store in the filename
	  that is the argument to .INITR
	  The old behaviour is returned if number register Initr > 0.
	* Fixed bug with List of XXXX, long lines messed up the result.
	* added number register H1dot.
	* added string variable H1txt
	* added string variable Tcst
	* added number register Dsp.
	* added alias APPX for user-defined appendix title.
	* added string variable Apptxt
	* added H1h for use in TP in headers
	* added macro EPIC
	* added macro PIC (safe replacement for PSPIC)
	* fixed Hps-bug, should be 1, not 1v.
	* fixed bug with APPSK, variable not set.

Wed Feb 4 15:46:04 1998 Jörgen Hägg (jh at axis.se)

	* version 1.31
	* .LI will now honor a space mark.
	* Another fix for .AU to let it be used without arguments.
	* uninitialized eq*label fixed

Fri Sep 6 07:13:07 1996 Jörgen Hägg (jh at axis.se)

	* version 1.30
	* This is more like a beta-release, bugs might pop up. :-)
	* last line in TOC was not correctly terminated (missing .br)
	* changed the indentation for displays, it will now
	  indent to the current indent, not the one at the definition
	  of the display.
	* Equation marks should now work better, indentation also.
	* included these bug fixes from Larry Jones:
	*   The documentation for the argument to .AS was incorrect for MT 4.
	*   \*(EM should be a double-dash for nroff.
	*   \nS is in points, not units.
	*   If \nO isn't set, the default page offset should be .75i for nroff
		and .963i for troff.
	*   .S D should set the point size to \nS, not 10.
	*   .S was setting the vertical spacing based on the old point size
		instead of the new point size.
	*   Got rid of a spurrious .br that prevented run-in headings from
		working.
	*   Reset the .SP counters in pg@header so that spacing on one page
		won't affect spacing on subsequent pages.
	*   Allow .AU and .AF with no arguments (real mm does, even though it
		isn't documented).
	*   Do .init@reset first thing to initialize the default environment.
	*   For MT 4, the title should be 4 points larger than the default size,
		not 12 point.
	*   The cover environment needs to be initialized.
	*   Printing the abstract on the first page needs to be controlled by
		the .AS argument.
	*   Heading eject should be suppressed if the heading immediately
		follows the first page stuff (title, author, etc.).
	*   support for table of contents numbering style (.nr Oc)
	*   changes the troff empty line height from .25v to .5v
	*   fixed section page numbering
	*   fixed a really nasty bug in footnotes that could cause you
		to lose the page footer completely if the very first
		footnote on the page occurred at just the wrong place


Wed May 15 07:39:32 1996 Jörgen Hägg (jh at axis.se)

	* version 1.29
	* Syntax and scaling errror fixed, (thanks to Frazer Williams)
	* DF/DE will now do a line-break before printing the display.
	* Updated the manual for TB,FG,EX and EC.
	* Added support for the ms- (and mgs-)macro .IX
	* Added indexmacro IX, INITI, IND and INDP, support for
	  TXIND, TYIND and TZIND.
	* PGFORM will now always really reset to the default
	  values for unspecified arguments.
	* Floating displays tested and repaired, it should
	  now (finanlly) work exactly as the original (I hope :-).
	* Should now set year correctly even after 2000.
	* Stupid bug in PGNH fixed.
	* Corrected line length for figure caption (FG and friends)


Mon Apr 24 07:37:52 1995 Jörgen Hägg (jh at axis.se)

	* version 1.28
	* Added AVL (AV without date)
	* Fixed nroff scaling for W and L.
	* Added support for register E and roman/bold
	  for all Subject/Date/From strings.
	* Added support for register C (1-4), (for DRAFTs and other types)
	* Will protest if not used with groff.
	* Change of the internal number registers @ps and @vs, they
	  are now in units, and is set in the new macros .@ps and .@vs.
	  @ps and @vs is now corrected to the real point and vertical size.
	* Macro EQ has now correct pointsize.
	* Figures should now get the right page number in the index.
	* User-defined macros can now be defined for list of
	  figures, tables, equations and exhibits (T{X,Y}{FG,TB,EC,EX}.
	* Space may be omitted between prefix and mark in automatic lists (.AL)
	  See .LI

Tue Jan 10 07:51:37 1995 Jörgen Hägg (jh at axis.se)

	* version 1.27
	* Manual updated
	* More bugs fixed in DS/DF
	* added alias for :g
	* LC can now be used without argument (as the manual says. :-)
	* Register :R now supported (RS/RF)
	* footnote line was printed even if there was no room for
	  any footnotes. Fixed.
	* Fixed 1C so that it can be used without page eject
	* Added support for EOP (TPs twin)
	* Hyphenation turned off by default. (Hy == 0)

Fri Nov 4 08:14:50 1994 Jörgen Hägg (jh at axis.se)

	* version 1.25
	* DS/DF separated and several bugs fixed. Watch out for new though. :-)
	* string DT was emptied by mistake in the previous version.
	* RD made prettier.
	* typo in AV and let@print-head fixed.

Mon Oct 31 08:19:24 1994 Jörgen Hägg (jh at axis.se)

	* version 1.24
	* Bug fixed and format extended in .SG and .FC.
	* date is always printed unless .ND without argument is used.
	  (I wonder what's the right thing to do, this might change.)
	* Swedish letter-standards implemented in tmac.mse.
	* .ND can be used to turn off the date. (Empty argument)

Mon Oct 31 08:14:09 1994 Jörgen Hägg (jh at axis.se)

	* version 1.23
	* An attempt to get in sync with RCS. This is the distributed
	  version.

Thu Oct 27 08:29:34 1994 Jörgen Hägg (jh at axis.se)

	* version 1.22
	* (version 1.21 lost... :-)
	* Letter macros added!!
	* The following macros are added:
	* AV, FC, IA ,IE, LT, LO, NE, NS, SG, WA, WE
	* nP also added.

Tue Dec 14 16:26:36 1993 Joergen Haegg (jh at efd.lth.se)

	* version 1.20
	* spelling-corrections
	* Makefile.sim updated to the correct version, and a uninstall
	  target added.
	* @cur-lib removed from tmac.m (obsolete)
	* fixed check for references i .TC, .RP now resets the flag correctly.
	* floating display should now be printed if there is space.
	* first version using RCS. I've been avoiding version control until it
	  became necessary.
	* WC WD now works in two-column-mode.

Tue Sep 7 08:37:00 1993 Jörgen Hägg (jh at efd.lth.se)

	* version 1.19
	* .lt is called in the header for .TP also.
	* Variable Pgps added to control the header and footer point-size.
	* Error-text printed with .APP removed.
	* Error with .FG, .TB, .EC and .EX indentation fixed.
	* header and footer line-length is not changed by MC or 2C.
	* Default for page-length and page-offset is now taken from
	  \n[.p] and \n[.o].
	* Argument to .ab (abort) is supplied.
	* Argument to .1C added.
	* Argument to .PGFORM added.
	* RP/RS/RF totally rewritten. Should work with 2C now.

Fri Apr 23 10:37:25 1993 Joergen Haegg (jh at efd.lth.se)

	* version 1.18
	* Height of display is now more exactly calculated.
	* tabs and blankspaces where wrong in .VERBON.
	* error in manual for escape-character in VERBON.
	* Makefile.sub: installed tmac.m as tmac.m and tmac.mse
	* Installation of tmac.mse now supports TMAC_M.
	* bug with N fixed.

Mon Apr 5 09:36:01 1993 Joergen Haegg (jh at efd.lth.se)

	* version 1.17
	* MULB preserves size.
	* bug in VERBON fixed, causing strange errors.
	* section-page footer fixed.
	* added support for numberregister S
	* fixed bug with floating displays wich made floats to
	  generate space on a page, but broke page anyway.
	* end-of-page trap reinstalled.

Mon Mar 29 10:53:13 1993 Joergen Haegg (jh at efd.lth.se)

	* version 1.16
	* MUL* now use the previous font and family.
	* extra blank page at end-of-text eliminated.

Mon Mar 8 10:27:47 1993 Joergen Haegg (jh at efd.lth.se)

	* version 1.15
	* Didn't restore pointsize to current size in .H.
	* B1/B2 did not work with indent. (MULE and friends)
	* fixed old problem with trailing empty pages.

Fri Mar 5 15:20:49 1993 Joergen Haegg (jh at efd.lth.se)

	* version 1.14
	* Sigh. Amazing what a missing \} can do. If the string
	  HP was set, then all text disappeared...

Fri Mar 5 14:12:43 1993 Joergen Haegg (jh at efd.lth.se)

	* version 1.13
	* Fixed bug with handling ps/vs in .H. (again, sigh... )

Wed Mar 3 09:21:20 1993 Joergen Haegg (jh at efd.lth.se)

	* version 1.12
	* Line-break added to PGFORM.
	* added more features to VERBON
	* .S is not used anymore in H, it caused confusion with
	  normal text, but it will still set .vs.
	* SK was broken, will now produce the requested number of
	  empty pages.
	* dotted lines added to LIST OF FIGURES adn friends.
	  Also better linespacing.

Mon Feb 22 12:41:06 1993 Joergen Haegg (jh at efd.lth.se)

	* version 1.11
	* missing left-parenthesis gave ") .sp" when N=4.
	* N=4 removed user-specified header also.
	* MOVE made linelength pageoffset wider than wanted.
	* fixed (again) parenthesis in RP.

Thu Jan 21 12:10:39 1993 Joergen Haegg (jh at efd.lth.se)

	* version 1.10
	* changed PROG_PREFIX to g in the manual-pages.
	* Better check if new page is needed in .H, when Ej>0.
	* Usage of variable Lsp now more complete.
	* Space added in TOC when mark is equal to size.
	* Usermacro HY moved after font-calulations.
	* .S used instead of .ps, which will use .vs correct.
	* Now possible to set Hps1/2 inside HX.
	* .FD "" 1 is now fixed.
	* section-page numbering bug fixed.
	* several bugs in VERBON/OFF fixed.

Tue Dec 8 16:43:15 1992 Joergen Haegg (jh at efd.lth.se)

	* version 1.09
	* N==4 gives no default header

Sat Nov 21 14:28:20 1992 Joergen Haegg (jh at efd.lth.se)

	* version 1.08
	* Escape-character disabled between 
	  VERBON/VERBOFF (turned on by an argument).
	  Pointsize and fontchange also added as arguments.
	* MULB, MULN and MULE added to get multicolumn output
	  with different width.
	* Number register N can now use 1-5.
	* Register Sectp and Sectf added.
	* Register P is now updated correctly for "section-page" numbering.

Thu Nov 19 11:19:33 1992 Joergen Haegg (jh at efd.lth.se)

	* version 1.07
	* .OP fixed to eject a blank page if not odd.

Fri Nov 13 09:46:09 1992 Joergen Haegg (jh at efd.lth.se)

	* version 1.06
	* Macro TL rewritten. TL depends now on a following .AU.
	* NOTES updated.
	* .lt is now used more frequent when linelength is changed.
	* macro AST added.
	* removed PH/EH/OH not needed in ?.MT.

Wed Oct 28 14:35:43 1992 Joergen Haegg (jh at efd.lth.se)

	* version 1.05
	* .VM implemented.
	* Possible bug in page heading fixed. Changed .sp to 'sp in HEADER.

Thu Aug 20 13:56:31 1992 Joergen Haegg (jh at efd.lth.se)

	* version 1.04
	* page-break in .EQ moved.
	* changed unit for footer-size and header-size from units to lines.
	  Fixes problems with .S and page-breaks.
	* \n[%] is now treated as a string, wich makes it possible
	  to assign new formats to it. Unfortunately, it was necessary
	  to change the page-number-variable in GETPN to a string.
	* Makefile.sub included. (Thank you, James)

Thu May 7 16:14:10 1992 Joergen Haegg (jh at efd.lth.se)

	* version 1.03
	* Typo and centering in DS/DE fixed. 
	  Even and odd pageheaders were reversed.
	* LI: pad and mark-indent was lost in some earlier versions. Now fixed.
	* fixed bug in reference to .FG, .TB, ...
	* APP did not clear headercounters.
	* Pointsize in titles is now only set at the beginning and
	  when PH, PF, OH, OF, EH and EF are used.

Thu May 6 16:01:35 1992 Joergen Haegg (jh at efd.lth.se)

	* version 1.02
	* OP fixed.

Fri Mar 6 09:36:09 1992 Joergen Haegg (jh at efd.lth.se)

	* version 1.01
	* two .LI without text between should not be printed
	  on the same row. Now fixed.
	* figure titles and friends fixed, now possible with many .FG
	  in a DS/DE. Didn't always position correctly in previous version,
	  but is now always printed as it should.
	* Makefile fixed for Ultrix.
	* DS/DF could not handle empty arguments correct
	* Missing .br i EQ added.

Sat Jan 25 15:47:21 1992 Joergen Haegg (jh at efd.lth.se)

	* version 1.00
	* No betaversion anymore!
	* Fixed headernumbers within appendixes.
	* DS did not keep the same font as before DS.
	* mmse did a line break.

Fri Jan 24 14:38:16 1992 Joergen Haegg (jh at efd.lth.se)

	* version 0.16
	* bug in TC, multiple line headers did not wrap correctly.
	* added support for mm/locale and mm/language_locale.
	* cov*default-firm in locale sets name of firm in the MT covers.
	* cov*location-xxxx in locale sets location xxxx to the contents
	  of cov*location-xxxx. Used in the MT covers.
	* hanging indent in lists fixed.
	* use larger empty lines if .nroff is defined.
	* macros, like .P, can now be used inside abstracts.
	* .S do not reset indentation anymore.
	* .RS aA now sets a string, not an integer.
	* appendix with .APP or .APPSK added.

Thu Nov 28 22:00:59 1991 Joergen Haegg (jh at efd.lth.se)

	* version 0.15
	* Fixed .AU in MT 0-3, added support for variable Au.
	* Bug in the positioning of the foot-notes.
	* lists not indented properly.
	* Hps1 and Hps2 added.
	* COVER had to have an argument.
	* table of contents can now have multiline header.
	* .HU now increments headingvariable H?
	* added the inclusion of a locale file. 

Sat Nov 23 14:40:17 1991 Joergen Haegg (jh at efd.lth.se)

	* version 0.14
	* bug when using -rO fixed.
	* MT 1-4 added. 
	* default is now MT 1
	* .EQ/.EN can be used outside of .DS/.DE without complaints. But
	  I don't recommend it. Neither does the DWB books.
	* LI don't break lines now if arg too big.
	* PGFORM did not reset indent.
	* Added the numbervariable Hps.
	* Rewritten and added MT 0-5 + "string".
	* Added TM.
	* Indent to AS added

Wed Nov 6 15:18:40 1991 Joergen Haegg (jh at efd.lth.se)

	* version 0.13
	* ds*format nod defined if PS/PE is used without DS/DE.
	* GETST added, fourth argument to EX, FG, TB and EC added.

Mon Nov 4 13:38:01 1991 Joergen Haegg (jh at efd.lth.se)

	* version 0.12
	* Fixed C,D,P,+-size in .S

Sun Jan 1 00:00:00 1991 Joergen Haegg (jh at efd.lth.se)
	* Next version will have ChangeLog entries...
	* Bug in INITR fixed.
	* VERBON/VERBOFF added to include programlistings
	* Bug in .DE fixed, addition overflow
Sun Jan 1 00:00:00 1991 Joergen Haegg (jh at efd.lth.se)
	* spelling error in month-names.
	* WC should work now (no warranty :-)
	* FD almost finished, some details missing.
	* incorrect calculation of foot-notes fixed.
	* DS/DE did not break page when the size was smaller than the paper
	* Forward/backward referencesystem added. Se .INITR in README.
	* mgmsw changed name to mgmse.
Sun Jan 1 00:00:00 1991 Joergen Haegg (jh at efd.lth.se)
	* embarrassing bug in .P fixed 
	* .H did always eject page, now fixed.
	* lost floating displays now found.
	* accents added (from mgs)
	* empty line in .EQ/.EN removed
	* indentation in .TC corrected.
	* indentation of DS/DE in lists fixed.
	* .TB and friends now work inside DS/DE and outside.
	* .WC partially implemented (WF and WD). Still working on it.
	* .mso used if version>=1.02
Sun Jan 1 00:00:00 1991 Joergen Haegg (jh at efd.lth.se)
	* register P was not working.
	* support for register Fg, Tb, Ec and Ex.
	* list items was left on the previous page at a page break.
	* tlevel in .TC now defaults to 2.
	* string DT, EM and Tm supported.
	* new macro: PGNH, see comments.
	* bug in MOVE fixed.
	* pagenumber in .TC fixed.
	* a blank page was ejected if Ej==1, now fixed
	* bug in floating display fixed (did break and SP wrong)
	* bug in .SP fixed, no lines is now printed at top of page
	* There are still problems with footnotes and displays in two column mode.
Sun Jan 1 00:00:00 1991 Joergen Haegg (jh at efd.lth.se)
	* register P added (same as %)
	* bug in floating displays fixed
	* MOVE	added
	* MT	added, see comment below
	* COVER/COVEND	added
	* fixed bug in figure titles
	* extended S, se comment below
	* MT 0	added
	* ms-cover added (COVER ms)
Sun Jan 1 00:00:00 1991 Joergen Haegg (jh at efd.lth.se)
	* bugs in RD and comb. fonts fixed
Sun Jan 1 00:00:00 1991 Joergen Haegg (jh at efd.lth.se)
	* HC	added
	* Combined fonts (IB,BI...)
	* HM	added
	* RD	added
	* OP	added
	* TP&PX	supported
	* warnings for unimplemented macros

________________________________________________________________________

Copyright 1991-2018 Free Software Foundation, Inc.

Copying and distribution of this file, with or without modification,
are permitted in any medium without royalty provided the copyright
notice and this notice are preserved.

Local Variables:
version-control: never
mode: change-log
End:
